Bug 973611 - ath9k: wireless randomly disconnects in 5GHz band
ath9k: wireless randomly disconnects in 5GHz band
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: John Greene
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 06:41 EDT by j_a
Modified: 2013-07-24 14:54 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:54:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description j_a 2013-06-12 06:41:46 EDT
Hi,

I have recently installed Fedora 18 on my Alienware M17XR4. The wireless card on this laptop is Killer Wireless-N 1103. lspci -vv gives the following:

****************************************************************
08:00.0 Network controller: Atheros Communications Inc. AR9300 Wireless LAN adap
tor (rev 01)
	Subsystem: Bigfoot Networks, Inc. Killer Wireless-N 1103 Half-size Mini 
PCIe Card [AR9380]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Step
ping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at d2500000 (64-bit, non-prefetchable) [size=128K]
	Expansion ROM at 9fb00000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath9k
*****************************************************************

The connection is stable when the laptop connects to the access point in 2.4 GHz band. However, when it connects to a 5 GHz channel (at work, we have dual band access points), the connection randomly drops. Here are the messages in dmesg after the connection drops:

*****************************************************
[   66.845352] wlan0: deauthenticating from 0c:d9:96:82:7b:9f by local choice (reason=1)
[  412.301257] wlan0: deauthenticating from 0c:d9:96:82:7b:9f by local choice (reason=1)
[  686.745191] wlan0: deauthenticating from 0c:d9:96:82:7b:9f by local choice (reason=1)
[  917.677298] wlan0: deauthenticating from 0c:d9:96:82:7b:9f by local choice (reason=1)
[  941.857254] wlan0: deauthenticating from 0c:d9:96:82:7b:9f by local choice (reason=3)
[  981.121778] wlan0: deauthenticating from 0c:d9:96:82:7b:9f by local choice (reason=3)
[ 1014.714918] wlan0: deauthenticating from 64:d8:14:73:9a:80 by local choice (reason=3)
****************************************************

I have done the following

1) set the power management to off,

wlan0     IEEE 802.11abgn  ESSID:"......."  
          Mode:Managed  Frequency:5.18 GHz  Access Point: 0C:D9:96:82:7B:9F   
          Bit Rate=216.7 Mb/s   Tx-Power=16 dBm   
          Retry  long limit:7   RTS thr:off   Fragment thr:off
          Power Management:off
          Link Quality=65/70  Signal level=-45 dBm  
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:1   Missed beacon:0

2) added the following line to ath9k.conf:

options ath9k nohwcrypt=1,

3) disabled and blacklisted ipv6.

But still the problem persists. 

I have also installed Windows 7 on the same laptop and there is no problem in 5 GHz band. 

So, it seems that there is a problem with the ath9k driver.

Thanks,

Javid
Comment 1 j_a 2013-06-12 08:11:43 EDT
Please note

$ uname -a
Linux deepspace 3.9.4-200.fc18.x86_64 #1 SMP Fri May 24 20:10:49 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 2 Sujith 2013-07-12 00:58:16 EDT
Can you try the wireless-testing kernel or the latest backports package ?
( http://drvbp1.linux-foundation.org/~mcgrof/rel-html/backports/ )
Comment 3 j_a 2013-07-15 23:08:21 EDT
Hi,

I am currently in the U.S. and cannot do the test that you suggested. However, a few days while I was at the San Francisco airport, I was able to connect to the 5 GHz band without any problem. The difference between the access point at the airport and the one in my office is that to connect to the office access point PEAP (Protected EAP) authentication is used.

Do you think this might be the cause of the problem?

Regards,

Javid

(In reply to Sujith from comment #2)
> Can you try the wireless-testing kernel or the latest backports package ?
> ( http://drvbp1.linux-foundation.org/~mcgrof/rel-html/backports/ )
Comment 4 John Greene 2013-07-16 09:16:51 EDT
Couple ideas:

The local deauth's aren't much help. (reason 3 is the laptop decided to leave, and reason=1 is unspecified).  Judging from signal strength, it's not a low signal issue.

Did it connect right back to same AP or a different one?  


Does you use bluetooth?  If not: you might try:
This is less likely since BT uses 2.4G, but easy to try to see if there is a driver issue somehow:
 
modprobe -r ath9k btcoex=0
modprobe ath9k btcoex=0

or add btcoex=0 to options line you list above.

Can you could add -dd to the wpa_supplicant command line during the issue:
it's usually in:
/etc/sysconfig/wpa_supplicant
add -dd to the OTHER_ARGS list then either reboot.

and then send me a copy of /var/log/messages/wpa_supplicant.log while the connection is made and then drops off.


Other ideas, these might help your connectivity stability too:  Can you try these?  PEAP and other higher security protocols have a higher incident of slow connectivity, but aren't the culprit for station deauth's.. 
 
yum update wpa_supplicant
yum update NetworkMananger

Let me know if any of this helps.
Comment 5 Josh Boyer 2013-07-24 14:54:19 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.